- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# netapp_e_volume_copy – NetApp E-Series create volume copy pairs

- Synopsis

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- Create and delete snapshots images on volume groups for NetApp E-series storage arrays.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_password string / required |  | The password to authenticate with the SANtricity WebServices Proxy or embedded REST API.
api_url string / required |  | The url to the SANtricity WebServices Proxy or embedded REST API, for example `https://prod-1.wahoo.acme.com/devmgr/v2`.
api_username string / required |  | The username to authenticate with the SANtricity WebServices Proxy or embedded REST API.
create_copy_pair_if_does_not_exist boolean | Choices: no yes ← | Defines if a copy pair will be created if it does not exist. If set to True destination_volume_id and source_volume_id are required.
destination_volume_id - |  | The id of the volume copy destination. If used, must be paired with source_volume_id Mutually exclusive with volume_copy_pair_id, and search_volume_id
search_volume_id - |  | Searches for all valid potential target and source volumes that could be used in a copy_pair Mutually exclusive with volume_copy_pair_id, destination_volume_id and source_volume_id
source_volume_id - |  | The id of the volume copy source. If used, must be paired with destination_volume_id Mutually exclusive with volume_copy_pair_id, and search_volume_id
ssid string | Default: 1 | The ID of the array to manage. This value must be unique for each array.
start_stop_copy - |  | starts a re-copy or stops a copy in progress Note: If you stop the initial file copy before it it done the copy pair will be destroyed Requires volume_copy_pair_id
state - / required | Choices: present absent | Whether the specified volume copy pair should exist or not.
validate_certs boolean | Choices: no yes ← | Should https certificates be validated?
volume_copy_pair_id - |  | The id of a given volume copy pair Mutually exclusive with destination_volume_id, source_volume_id, and search_volume_id Can use to delete or check presence of volume pairs Must specify this or (destination_volume_id and source_volume_id)

## Notes

Note

- The E-Series Ansible modules require either an instance of the Web Services Proxy (WSP), to be available to manage the storage-system, or an E-Series storage-system that supports the Embedded Web Services API.

- Embedded Web Services is currently available on the E2800, E5700, EF570, and newer hardware models.

- netapp_e_storage_system may be utilized for configuring the systems managed by a WSP instance.

## Examples

    ---
    msg:
        description: Success message
        returned: success
        type: str
        sample: Json facts for the volume copy that was created.

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
msg string | success | Success message Sample: Created Volume Copy Pair with ID

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Kevin Hulquest (@hulquest)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.